curl 'https://api.pipedream.com/v1/workflows/p_abc123/event_summaries?expand=event&limit=1' \
-H 'Authorization: Bearer <token>'
{
"page_info": {
"total_count": 1,
"start_cursor": "1606511826306-0",
"end_cursor": "1606511826306-0",
"count": 1
},
"data": [
{
"id": "1606511826306-0",
"indexed_at_ms": 1606511826306,
"event": {
"raw_event": {
"name": "Luke",
"title": "Jedi"
}
},
"metadata": {
"emit_id": "1ktF96gAMsLqdYSRWYL9KFS5QqW",
"name": "",
"emitter_id": "p_abc123"
}
}
]
}
Get workflow emits
GET
/
workflows
/
{workflow_id}
/
event_summaries
curl 'https://api.pipedream.com/v1/workflows/p_abc123/event_summaries?expand=event&limit=1' \
-H 'Authorization: Bearer <token>'
{
"page_info": {
"total_count": 1,
"start_cursor": "1606511826306-0",
"end_cursor": "1606511826306-0",
"count": 1
},
"data": [
{
"id": "1606511826306-0",
"indexed_at_ms": 1606511826306,
"event": {
"raw_event": {
"name": "Luke",
"title": "Jedi"
}
},
"metadata": {
"emit_id": "1ktF96gAMsLqdYSRWYL9KFS5QqW",
"name": "",
"emitter_id": "p_abc123"
}
}
]
}
Retrieve up to the last 100 events emitted from a workflow using
Pass
$send.emit().
Endpoint
GET /workflows/{workflow_id}/event_summaries
Notes and Examples
The event data for events larger than1KB may get truncated in the response. If you’re retrieving larger events, and need to see the full event data, pass ?expand=event:
GET /workflows/{workflow_id}/event_summaries&expand=event
?limit=N to retrieve the last N events:
GET /v1/workflows/{workflow_id}/event_summaries?expand=event&limit=1
curl 'https://api.pipedream.com/v1/workflows/p_abc123/event_summaries?expand=event&limit=1' \
-H 'Authorization: Bearer <token>'
{
"page_info": {
"total_count": 1,
"start_cursor": "1606511826306-0",
"end_cursor": "1606511826306-0",
"count": 1
},
"data": [
{
"id": "1606511826306-0",
"indexed_at_ms": 1606511826306,
"event": {
"raw_event": {
"name": "Luke",
"title": "Jedi"
}
},
"metadata": {
"emit_id": "1ktF96gAMsLqdYSRWYL9KFS5QqW",
"name": "",
"emitter_id": "p_abc123"
}
}
]
}
Was this page helpful?
⌘I